import logging
import sys
from vendors.debian.DebianModel import DebianModel

from pymongo import MongoClient

##### GLOBAL VARIABLES #####
logging.basicConfig(stream=sys.stderr, level=logging.DEBUG)

# Increase the recursion limit by much to allow bs to parse large files ()
sys.setrecursionlimit(6000)

secondsperday = 86400
verbosity = 1

###### FUNCTIONS ######


def aptsec_help():
    """
    :return:
    """
    print('See manual for correct usage!')


'''
TODO:
    - add parameterized extensions
        - for input config_default.txt file
        - for action
        - vendors ( OPTIONAL )
    
'''


def __main__(configfile='config_default.txt', vendorname='debian', action='help'):
    # support only debian
    if vendorname is 'debian':
        model = DebianModel(action)
    else:
        print("Only debian vendors are supported for now.")
        sys.exit(1)


__main__(action='update')